Latest 1.0.0
Homepage https://github.com/nascentdigital/nascentkit-ios
License MIT
Platforms ios 11.1, requires ARC
Dependencies RxSwift, RxCocoa
Authors

NascentKit for iOS

==================

Requirements

  • Xcode 10.0
  • Swift 4.2

Installation

NascentKit doesn’t contain any external dependencies.

These are currently the supported options:

CocoaPods

Tested with pod --version: 1.5.3

# Podfile
use_frameworks!

target 'YOUR_TARGET_NAME' do
    pod 'NascentKit',  '~> 0.1'
end

Replace YOUR_TARGET_NAME and then, in the Podfile directory, type:

$ pod install

Latest podspec

{
    "name": "NascentKit",
    "version": "1.0.0",
    "summary": "An iOS framework that simplifies the creation of beautiful apps.",
    "description": "This is a framework for building iOS applications using Swift, providing many classes and components that simplify integration with the native platform.nnThe library follows a Reactive paradigm, leveraging the [RxSwift](https://github.com/ReactiveX/RxSwift) framework for many asynchronous callbacks.nnCurrently, the library provides intefaces for working with:n   - Camera APIs",
    "homepage": "https://github.com/nascentdigital/nascentkit-ios",
    "license": "MIT",
    "authors": {
        "Simeon de Dios": "[email protected]"
    },
    "source": {
        "git": "https://github.com/nascentdigital/nascentkit-ios.git",
        "tag": "1.0.0"
    },
    "requires_arc": true,
    "swift_version": "4.2",
    "platforms": {
        "ios": "11.1"
    },
    "source_files": "NascentKit/**/*.swift",
    "dependencies": {
        "RxSwift": [
            "~> 4.0"
        ],
        "RxCocoa": [
            "~> 4.0"
        ]
    }
}

Pin It on Pinterest

Share This